/* config/OpenEXRConfig.h.  Generated from OpenEXRConfig.h.in by configure.  */
/* config/OpenEXRConfig.h.in.  Generated from configure.ac by autoheader.  */

/* define if the compiler supports basic C++11 syntax */
/* #undef HAVE_CXX11 */

/* define if the compiler supports basic C++14 syntax */
#define HAVE_CXX14 1

/* define if the compiler supports basic C++17 syntax */
/* #undef HAVE_CXX17 */

/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <limits.h> header file. */
#define HAVE_LIMITS_H 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define if you have POSIX threads libraries and header files. */
#define HAVE_PTHREAD 1

/* Have PTHREAD_PRIO_INHERIT. */
#define HAVE_PTHREAD_PRIO_INHERIT 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to the sub-directory where libtool stores uninstalled libraries. */
#define LT_OBJDIR ".libs/"

/* Define when std::right is available */
#define OPENEXR_IMF_HAVE_COMPLETE_IOMANIP 1

/* Define if on Darwin */
/* #undef OPENEXR_IMF_HAVE_DARWIN */

/* Define if AVX is available */
/* #undef OPENEXR_IMF_HAVE_GCC_INLINE_ASM_AVX */

/* Define if large stack sizes are supported */
#define OPENEXR_IMF_HAVE_LARGE_STACK 1

/* Define if procfs is available */
#define OPENEXR_IMF_HAVE_LINUX_PROCFS 1

/* Define if pthreads are available */
#define OPENEXR_IMF_HAVE_PTHREAD 1

/* Define if sysconf(_SC_NPROCESSORS_ONLN) can be used for CPU count */
#define OPENEXR_IMF_HAVE_SYSCONF_NPROCESSORS_ONLN 1

/* Define if IlmImf huge input resilience */
/* #undef OPENEXR_IMF_HUGETEST */

/* OpenEXR */
#define OPENEXR_IMF_INTERNAL_NAMESPACE Imf_2_3

/* OpenEXR */
#define OPENEXR_IMF_INTERNAL_NAMESPACE_CUSTOM 1

/* OpenEXR */
#define OPENEXR_IMF_NAMESPACE Imf

/* OpenEXR */
/* #undef OPENEXR_IMF_NAMESPACE_CUSTOM */

/* OpenEXR version string */
#define OPENEXR_PACKAGE_STRING "OpenEXR 2.3.0"

/* OpenEXR version string */
#define OPENEXR_VERSION_MAJOR 2

/* OpenEXR version string */
#define OPENEXR_VERSION_MINOR 3

/* OpenEXR version string */
#define OPENEXR_VERSION_PATCH 0

/* OpenEXR version string */
#define OPENEXR_VERSION_STRING "2.3.0"

/* Name of package */
#define PACKAGE "openexr"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "OpenEXR"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "OpenEXR 2.3.0"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "openexr"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "2.3.0"

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
/* #undef PTHREAD_CREATE_JOINABLE */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Version number of package */
#define VERSION "2.3.0"

/* Define to empty if `const' does not conform to ANSI C. */
/* #undef const */

/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif

/* Define to `unsigned int' if <sys/types.h> does not define. */
/* #undef size_t */
